import './things-scene-components.import';
import '@operato/board/ox-board-modeller.js';
import '@operato/oops';
import { BoardModeller } from '@operato/board/ox-board-modeller.js';
import { PageView } from '@operato/shell';
declare const BoardModellerPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & typeof PageView;
export declare class BoardModellerPage extends BoardModellerPage_base {
    constructor();
    static styles: import("lit").CSSResult[];
    boardId?: string | null;
    boardName?: string;
    model: any;
    baseUrl?: string;
    selected: any;
    mode?: number;
    hideProperty?: boolean;
    overlay?: string | null;
    scene: any;
    componentGroupList?: any[];
    fonts: any;
    propertyEditor: any;
    preparing?: boolean;
    private board;
    modeller?: BoardModeller;
    get context(): {
        title: string | undefined;
        help: string;
        widebleed: boolean;
    };
    get oopsNote(): {
        icon: string;
        title: string;
        description: string;
    };
    refresh(): Promise<void>;
    updated(changes: any): Promise<void>;
    pageUpdated(changes: any, lifecycle: any): void;
    stateChanged(state: any): void;
    render(): import("lit-html").TemplateResult<1>;
    updateBoard(): Promise<void>;
    saveBoard(): Promise<void>;
    canDeactivate(): Promise<boolean>;
}
export {};
